Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender
Class ConsoleAppender.Builder

    java.lang.Object
      org.apache.logging.log4j.core.appender.ConsoleAppender.Builder

All Implemented Interfaces:
  Builder<ConsoleAppender>

Enclosing class:
  ConsoleAppender

    public static class ConsoleAppender.Builder

extends Object
implements Builder<ConsoleAppender>

Constructor Summary
`ConsoleAppender.Builder()`

Method Summary
`ConsoleAppender` | `build()` Builds the plugin object after all configuration has been set.
`ConsoleAppender.Builder` | `setFilter(Filter filter)`
`ConsoleAppender.Builder` | `setFollow(boolean follow)`
`ConsoleAppender.Builder` | `setIgnoreExceptions(boolean ignoreExceptions)`
`ConsoleAppender.Builder` | `setLayout(Layout<? extends Serializable> layout)`
`ConsoleAppender.Builder` | `setName(String name)`
`ConsoleAppender.Builder` | `setTarget(ConsoleAppender.Target target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleAppender.Builder

    public ConsoleAppender.Builder()

Method Detail

### setLayout

    public ConsoleAppender.Builder setLayout(Layout<? extends Serializable> layout)

### setFilter

    public ConsoleAppender.Builder setFilter(Filter filter)

### setTarget

    public ConsoleAppender.Builder setTarget(ConsoleAppender.Target target)

### setName

    public ConsoleAppender.Builder setName(String name)

### setFollow

    public ConsoleAppender.Builder setFollow(boolean follow)

### setIgnoreExceptions

    public ConsoleAppender.Builder setIgnoreExceptions(boolean ignoreExceptions)

### build

    public ConsoleAppender build()

  Description copied from interface: `Builder`
  Builds the plugin object after all configuration has been set. This will use default values for any unspecified attributes for the plugin.

  Specified by:
    `build` in interface `Builder<ConsoleAppender>`
  Returns:
    the configured plugin instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.